Subject: Re: [PATCH] tcp: Expose the initial RTO via a new sysctl.

From: Hagen Paul Pfeifer <[email-masked]>
Date: Fri, 20 May 2011 13:00:02 +0200

On Fri, 20 May 2011 03:27:37 -0700, "H.K. Jerry Chu" wrote:

Hi Jerry

> Not sure how our various parameter tuning proposals deviate from the

"TCP

> over everything" principle?

For our environment it hurts because we _always_ have an initial RTO >1. I

understand and accept that 98% will benefit of this modification, no doubt

Jerry! Try to put yourself in our situation: imaging a proposal of an init

RTO modification to 0.5 seconds. Maybe because 98% of Internet traffic is

now localized and the RTO is average now 0.2 seconds. Anyway, this will

penalize your network always and this will be the situation for one of my

customer. I can live with that, I see the benefits for the rest of the

world. But I am happy to see a knob where I can restore the old behavior.

Maybe some other environments will benefit from a even lower or higher

initial RTO.

Hagen